lulo-plugin-ses-identity-policy

    1.0.0 • Public • Published

    lulo SES Identity

    lulo SES Identity manages AWS SES Identities.

    lulo SES Identity is a lulo plugin

    Installation

    $ npm install lulo-plugin-ses-identity-policy --save
    

    Usage

    Properties

    • Identity: Required. The identity the policy applies to. Either the name or the ARN.
    • Policy: Required. The policy, JSON format.
    • PolicyName: Required. Name of the policy.

    See the AWS SDK Documentation for SES::putIdentityPolicy for further details.

    Return Values

    N/A

    Required IAM Permissions

    The Custom Resource Lambda requires the following permissions for this plugin to work:

    {
       "Effect": "Allow",
       "Action": [
           "ses:DeleteIdentityPolicy",
           "ses:PutIdentityPolicy"
       ],
       "Resource": "*"
    }
    

    License

    The MIT License (MIT)

    Change Log

    Change Log

    Install

    npm i lulo-plugin-ses-identity-policy

    DownloadsWeekly Downloads

    4

    Version

    1.0.0

    License

    MIT

    Unpacked Size

    12.3 kB

    Total Files

    9

    Last publish

    Collaborators

    • polythene